# package-plugin

## Purpose

Packages a plug-in as a zip archive which can then be installed into another application

## Examples

    grails package-plugin

## Description

Usage:

    grails package-plugin

Fired Events:

- `StatusError` - When there was an error during packaging

The plug-in archive will be named with the convention `grails-name-version.zip`. The name and version are obtained from the plug-in descriptor (the Groovy class ending with the convention `GrailsPlugin.groovy`) in the root of the plug-in directory. For example the following plug-in:

    class SimpleGrailsPlugin {
    	def version = 0.1
    }

Will result in a zip archive called `grails-simple-0.1.zip`, which can then be installed into an application with the install-plugin command.